@echo off
color 37
mode con:cols=80 lines=25

goto MENUUTAMA

:MENUUTAMA
cls 
echo.
echo   Author  : www.foldertips.com
echo.
echo.
echo               ::       ToolKits Redmi 5 / Plus (Rosy/Vince)      ::
echo               ::                  Version : 2.0                  ::
echo.
echo   ---------------------------------------------------------------------------
echo     * ToolKit ini hanya untuk Redmi 5 / Plus (Rosy/Vince) yang telah UBL *
echo                  Pastikan kamu telah mengaktifkan USB Debugging
echo                          Do it with your own risk..!
echo   ---------------------------------------------------------------------------
echo.
echo              (1). Pasang TWRP 3.2.1-0 Redmi 5 (Rosy)
echo              (2). Pasang TWRP 3.2.1-0 Redmi 5 Plus (Vince)
echo              (3). Mengembalikan Stock Recovery
echo.
echo                          (0). Exit     (H). Bantuan            
echo.
echo   ---------------------------------------------------------------------------
echo                         Pilih Menu 0-3, kemudian Enter
echo   ---------------------------------------------------------------------------
echo.
goto OPSI

:OPSI
set/p "pilih=>"
if %pilih%==1 goto runTWRP1
if %pilih%==2 goto runTWRP2
if %pilih%==3 goto runSTOCK
if %pilih%==0 goto runEND
if %pilih%==H goto runHELP
if %pilih%==h goto runHELP
goto OPSI

:opsiMENUUTAMA
cls
echo.
echo.
echo.
echo.
echo.
echo                    Kembali Ke Menu Utama ? (Y/N) lalu Enter..
echo.
echo Ketik [Y]/[N]
echo.
set/p "cMenu=>"
if %cMenu%==y goto MENUUTAMA
if %cMenu%==Y goto MENUUTAMA
if %cMenu%==n goto runEND
if %cMenu%==N goto runEND

goto opsiMENUUTAMA

:errorMESSAGE1
echo.
echo.
echo.
echo.
echo.
echo                 Perangkat kamu belum terkoneksi dengan benar..
echo.
echo.
echo               Cek notifikasi di layar dan ijinkan USB Debugging.
echo.
echo.
echo.
echo.
echo.
echo                     Tekan Enter untuk cek koneksi kembali..
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause >nul
cls
goto cekTWRP1

:errorMESSAGE2
echo.
echo.
echo.
echo.
echo.
echo                 Perangkat kamu belum terkoneksi dengan benar..
echo.
echo.
echo               Cek notifikasi di layar dan ijinkan USB Debugging.
echo.
echo.
echo.
echo.
echo.
echo                     Tekan Enter untuk cek koneksi kembali..
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause >nul
cls
goto cekTWRP2

:errorMESSAGE3
echo.
echo.
echo.
echo.
echo.
echo                 Perangkat kamu belum terkoneksi dengan benar..
echo.
echo.
echo               Cek notifikasi di layar dan ijinkan USB Debugging.
echo.
echo.
echo.
echo.
echo.
echo                     Tekan Enter untuk cek koneksi kembali..
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause >nul
cls
goto cekSTOCK

:runEND
echo.
start http://www.foldertips.com/tag/rosy,vince/
echo.
goto END

:runHELP
echo.
start https://www.foldertips.com/android/pasang-twrp-rosy-vince/
echo.
goto opsiMENUUTAMA

:runSTOCK
cls
echo.
echo.
echo.  
echo.
echo. 
echo.
echo. 
echo.
echo. 
echo            Masuk ke halaman foldertips.com untuk melihat tutorialnya..
echo.
echo. 
echo. 
echo.
echo.                          Tekan Enter untuk melanjutkan...
echo.
echo. 
echo.
echo.
echo. 
echo.
echo. 
echo. 
pause >nul
start https://www.foldertips.com/android/mengembalikan-stock-recovery-xiaomi/
echo.
goto opsiMENUUTAMA

:runTWRP1
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo                 Pastikan kamu telah mengaktifkan USB debugging..
echo.
echo.
echo                   Jika sudah, tekan Enter untuk melanjutkan..
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause >nul
cls
set adb="%~dp0\adb.exe"
set fastboot="%~dp0\fastboot.exe"
for /f %%i in ('%fastboot% devices') do set dev=%%i
IF defined dev goto goTWRP1

:cekTWRP1
%adb% shell echo > nul 2>&1
IF not ERRORLEVEL 0 goto errorMESSAGE1
echo.
echo.
echo.
echo.
echo.
echo                       Cek koneksi sedang berlangsung....
echo.
echo.
echo.
echo.
echo                       Perangkat kamu telah tersambung, 
echo                  tekan Enter untuk masuk ke mode fastboot..!
echo.
echo.
echo.
echo.                   
echo.
echo.
echo.
echo.
echo.                   
echo.
echo.
pause >nul
cls
echo.
echo.
echo.
echo                         *** Tunggu beberapa saat ***
%adb% reboot bootloader
echo.
echo.
echo.
echo.
:intoFASTBOOT
fastboot devices > nul 2>&1
echo.
echo.
echo        *** Saat ini seharusnya device kamu berada di mode fastboot
echo               ditandai dengan logo Mi Bunny di layar smartphone kamu ***
echo.
echo.              
echo         *** Jika tidak, pastikan telah memasang driver dengan benar ***
echo.
echo.
echo.
echo                  Tekan Enter untuk memulai pemasangan TWRP...
echo.
echo.
echo.
echo.
pause >nul
cls
echo.

:goTWRP1
ping -n 3 127.0.0.1 > nul
echo.
echo                Proses pemasangan TWRP sedang berlangsung...
echo.
echo.
%fastboot% flash recovery %~dp0ftips\rosy.ftips | find /i "okay"
echo.
echo.
:bootTWRP1
ping -n 3 127.0.0.1 > nul
%fastboot% getvar product 2>&1
echo.
%fastboot% boot %~dp0ftips\rosy.ftips 2>&1 | find /i "okay"
echo. 
echo                    TWRP Recovery telah berhasil terpasang..
echo.
echo       Tunggu sesaat, device akan masuk ke TWRP Recovery secara otomatis..
echo.
echo.
echo. 
echo                        Tekan Enter untuk melanjutkan...
echo.
pause >nul
goto opsiMENUUTAMA

:runTWRP2
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo                 Pastikan kamu telah mengaktifkan USB debugging..
echo.
echo.
echo                   Jika sudah, tekan Enter untuk melanjutkan..
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause >nul
cls
set adb="%~dp0\adb.exe"
set fastboot="%~dp0\fastboot.exe"
for /f %%i in ('%fastboot% devices') do set dev=%%i
IF defined dev goto goTWRP2

:cekTWRP2
%adb% shell echo > nul 2>&1
IF not ERRORLEVEL 0 goto errorMESSAGE2
echo.
echo.
echo.
echo.
echo.
echo                       Cek koneksi sedang berlangsung....
echo.
echo.
echo.
echo.
echo                       Perangkat kamu telah tersambung, 
echo                  tekan Enter untuk masuk ke mode fastboot..!
echo.
echo.
echo.
echo.                   
echo.
echo.
echo.
echo.
echo.                   
echo.
echo.
pause >nul
cls
echo.
echo.
echo.
echo                         *** Tunggu beberapa saat ***
%adb% reboot bootloader
echo.
echo.
echo.
echo.
:intoFASTBOOT
fastboot devices > nul 2>&1
echo.
echo.
echo        *** Saat ini seharusnya device kamu berada di mode fastboot
echo               ditandai dengan logo Mi Bunny di layar smartphone kamu ***
echo.
echo.              
echo         *** Jika tidak, pastikan telah memasang driver dengan benar ***
echo.
echo.
echo.
echo                  Tekan Enter untuk memulai pemasangan TWRP...
echo.
echo.
echo.
echo.
pause >nul
echo.
cls
echo.

:goTWRP2
ping -n 3 127.0.0.1 > nul
echo.
echo                Proses pemasangan TWRP sedang berlangsung...
echo.
echo.
%fastboot% flash recovery %~dp0ftips\vince.ftips | find /i "okay"
echo.
echo.
:bootTWRP2
ping -n 3 127.0.0.1 > nul
%fastboot% getvar product 2>&1
echo.
%fastboot% boot %~dp0ftips\vince.ftips 2>&1 | find /i "okay"
echo. 
echo                    TWRP Recovery telah berhasil terpasang..
echo.
echo       Tunggu sesaat, device akan masuk ke TWRP Recovery secara otomatis..
echo.
echo.
echo. 
echo.
echo.
echo                        Tekan Enter untuk melanjutkan...
echo.
pause >nul
goto opsiMENUUTAMA